> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2publicfunnel submit



## OpenAPI

````yaml https://api.osiro.com/doc post /api/v2/public/funnel/{id}/submit
openapi: 3.0.0
info:
  title: Osiro API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/public/funnel/{id}/submit:
    post:
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FunnelSubmitBody'
      responses:
        '200':
          description: Lead updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunnelSubmitResponse'
        '201':
          description: Lead created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunnelSubmitResponse'
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunnelSubmitErrorWithData'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Funnel or schema missing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunnelSubmitErrorWithData'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunnelSubmitErrorWithData'
components:
  schemas:
    FunnelSubmitBody:
      type: object
      properties:
        lead_id:
          type: string
        update_token:
          type: string
          minLength: 1
        data:
          type: object
          additionalProperties:
            nullable: true
        page_url:
          type: string
          format: uri
        webcomponent_args:
          type: object
          additionalProperties:
            type: string
    FunnelSubmitResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            update_token:
              type: string
          required:
            - id
            - update_token
      required:
        - data
    FunnelSubmitErrorWithData:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            update_token:
              type: string
          required:
            - id
            - update_token
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            validation_errors:
              nullable: true
          required:
            - code
            - message
      required:
        - error
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````